c {base} | R Documentation

## Combine Values into a Vector or List

### Description

This is a generic function which combines its arguments.

The default method combines its arguments to form a vector. All arguments are coerced to a common type which is the type of the returned value. If `recursive=TRUE`, the function recursively descends through lists combining all their elements into a vector.

### Usage

    c(..., recursive=FALSE)

### See Also

`unlist` and `as.vector` to produce attribute-free vectors.

### Examples

    c(1,7:9)
    c(1:5, 10.5, "next")

    c(list(A=c(B=1)),recursive=T)

    c(options(), recursive=T)
    c(list(A=c(B=1,C=2),B=c(E=7)),recursive=T)

[Package Contents]